/* GNOME Scan - Scan as easy as you print
 * Copyright © 2006-2008  Étienne Bersac <bersace@gnome.org>
 *
 * GNOME Scan is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * GNOME Scan is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with GNOME Scan. If not, write to:
 *
 *	the Free Software Foundation, Inc.
 *	51 Franklin Street, Fifth Floor
 *	Boston, MA 02110-1301, USA
 */

#ifndef __GNOME_SCAN_ENTRY_WIDGET_H__
#define __GNOME_SCAN_ENTRY_WIDGET_H__

#include <glib.h>
#include <glib-object.h>
#include <gnome-scan-option-widget.h>

G_BEGIN_DECLS


#define GNOME_SCAN_TYPE_ENTRY_WIDGET (gnome_scan_entry_widget_get_type ())
#define GNOME_SCAN_ENTRY_WIDGET(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), GNOME_SCAN_TYPE_ENTRY_WIDGET, GnomeScanEntryWidget))
#define GNOME_SCAN_ENTRY_WIDGET_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), GNOME_SCAN_TYPE_ENTRY_WIDGET, GnomeScanEntryWidgetClass))
#define GNOME_SCAN_IS_ENTRY_WIDGET(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GNOME_SCAN_TYPE_ENTRY_WIDGET))
#define GNOME_SCAN_IS_ENTRY_WIDGET_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), GNOME_SCAN_TYPE_ENTRY_WIDGET))
#define GNOME_SCAN_ENTRY_WIDGET_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), GNOME_SCAN_TYPE_ENTRY_WIDGET, GnomeScanEntryWidgetClass))

typedef struct _GnomeScanEntryWidget GnomeScanEntryWidget;
typedef struct _GnomeScanEntryWidgetClass GnomeScanEntryWidgetClass;
typedef struct _GnomeScanEntryWidgetPrivate GnomeScanEntryWidgetPrivate;

struct _GnomeScanEntryWidget {
	GnomeScanOptionWidget parent_instance;
	GnomeScanEntryWidgetPrivate * priv;
};

struct _GnomeScanEntryWidgetClass {
	GnomeScanOptionWidgetClass parent_class;
};


GnomeScanEntryWidget* gnome_scan_entry_widget_construct (GType object_type);
GnomeScanEntryWidget* gnome_scan_entry_widget_new (void);
GType gnome_scan_entry_widget_get_type (void);


G_END_DECLS

#endif
